Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.framestore.updater
Class AllValuesFromRestrictionUpdater

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.framestore.updater.AbstractRestrictionUpdater
          edu.stanford.smi.protegex.owl.model.framestore.updater.QuantifierRestrictionUpdater
              edu.stanford.smi.protegex.owl.model.framestore.updater.AllValuesFromRestrictionUpdater

All Implemented Interfaces:
  RestrictionUpdater

    public class AllValuesFromRestrictionUpdater

extends QuantifierRestrictionUpdater

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.model.framestore.updater.AbstractRestrictionUpdater
`owlModel`

Constructor Summary
`AllValuesFromRestrictionUpdater(OWLModel owlModel)`

Method Summary
`protected void` | `clearFiller(OWLQuantifierRestriction restriction)`
`void` | `copyFacetValuesIntoNamedClass(RDFSNamedClass cls, OWLRestriction restriction)`
`protected void` | `updateAllRestrictions(edu.stanford.smi.protege.model.Cls cls, RDFProperty property)`
`void` | `updateRestrictions(OWLNamedClass cls, RDFProperty property, edu.stanford.smi.protege.model.Facet facet)`

Methods inherited from class edu.stanford.smi.protegex.owl.model.framestore.updater.QuantifierRestrictionUpdater
`ensureNoSurvivingClsesAreDeleted, getQuantifierClsClses, getSafeClses`

Methods inherited from class edu.stanford.smi.protegex.owl.model.framestore.updater.AbstractRestrictionUpdater
`getDirectRestriction, getDirectRestrictions, removeRestrictions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AllValuesFromRestrictionUpdater

    public AllValuesFromRestrictionUpdater(OWLModel owlModel)

Method Detail

### clearFiller

    protected void clearFiller(OWLQuantifierRestriction restriction)

  Specified by:
    `clearFiller` in class `QuantifierRestrictionUpdater`

### copyFacetValuesIntoNamedClass

    public void copyFacetValuesIntoNamedClass(RDFSNamedClass cls,
                                              OWLRestriction restriction)

### updateAllRestrictions

    protected void updateAllRestrictions(edu.stanford.smi.protege.model.Cls cls,
                                         RDFProperty property)

### updateRestrictions

    public void updateRestrictions(OWLNamedClass cls,
                                   RDFProperty property,
                                   edu.stanford.smi.protege.model.Facet facet)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.